Subject: Ticket Assigned -
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 02 Jun 2021 15:48:31 +0000

Hi Elharith elsiddig,  A new ticket has been assigned to you. Please follow the link below to view the ticket.   Order Number 6290841722
It has been approximately 12 days since my return items are picked from my
location, but I still haven't received a refund. Everytime I email
centrepoint, they reply that they will transfer the issue to the relevant
department, but I still haven't received a response or refund! It took ages
for centrepoint to process my return and now they are delaying the refund,
I am losing my patience!

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2653262